package com.ruoyi.system.domain.grid;

import java.io.Serializable;

public class GridRegion implements Serializable {
    private String id;

    /**
     * 1、基础网格  2、专属网格 4：经济网格
     *
     * @mbg.generated
     */
    private String wgType;

    /**
     * 网格编码
     *
     * @mbg.generated
     */
    private String wgCode;

    /**
     * 网格名称
     *
     * @mbg.generated
     */
    private String wgName;

    /**
     * 上级网格编码
     *
     * @mbg.generated
     */
    private String wgParentId;

    /**
     * 网格面积
     *
     * @mbg.generated
     */
    private String wgArea;

    /**
     * 中心坐标
     *
     * @mbg.generated
     */
    private String wgCentreCoordinate;

    /**
     * 网格二维码地址
     *
     * @mbg.generated
     */
    private String wgPrincipal;

    private String createTime;

    private String createBy;

    private String updateTime;

    private String updateBy;

    /**
     * 网格层级（从1开始,1、2、3代表网格，4代表地块）
     *
     * @mbg.generated
     */
    private String level;

    /**
     * 1:有效 0：无效
     *
     * @mbg.generated
     */
    private String isValid;

    private String ylzd1;

    /**
     * 是否专属网格 1：是
     *
     * @mbg.generated
     */
    private String ylzd2;

    private String ylzd3;

    private String ylzd4;

    private String ylzd5;

    /**
     * 土地用途
     *
     * @mbg.generated
     */
    private String wgPurpose;

    /**
     * 范围坐标
     *
     * @mbg.generated
     */
    private String wgCoordinate;

    private String status;

    private String pName;

    private String pId;

    private String detail;

    public String getDetail(){return detail;}

    public void setDetail(String detail){this.detail = detail;}

    public String getpName(){return pName;}

    public void setpName(String pName){this.pName = pName;}

    public String getpId(){return pId;}

    public void setpId(String pId){this.pId = pId;}

    public String getStatus(){return status;}

    public void setStatus(String status){this.status=status;}

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWgType() {
        return wgType;
    }

    public void setWgType(String wgType) {
        this.wgType = wgType;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getWgName() {
        return wgName;
    }

    public void setWgName(String wgName) {
        this.wgName = wgName;
    }

    public String getWgParentId() {
        return wgParentId;
    }

    public void setWgParentId(String wgParentId) {
        this.wgParentId = wgParentId;
    }

    public String getWgArea() {
        return wgArea;
    }

    public void setWgArea(String wgArea) {
        this.wgArea = wgArea;
    }

    public String getWgCentreCoordinate() {
        return wgCentreCoordinate;
    }

    public void setWgCentreCoordinate(String wgCentreCoordinate) {
        this.wgCentreCoordinate = wgCentreCoordinate;
    }

    public String getWgPrincipal() {
        return wgPrincipal;
    }

    public void setWgPrincipal(String wgPrincipal) {
        this.wgPrincipal = wgPrincipal;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getYlzd1() {
        return ylzd1;
    }

    public void setYlzd1(String ylzd1) {
        this.ylzd1 = ylzd1;
    }

    public String getYlzd2() {
        return ylzd2;
    }

    public void setYlzd2(String ylzd2) {
        this.ylzd2 = ylzd2;
    }

    public String getYlzd3() {
        return ylzd3;
    }

    public void setYlzd3(String ylzd3) {
        this.ylzd3 = ylzd3;
    }

    public String getYlzd4() {
        return ylzd4;
    }

    public void setYlzd4(String ylzd4) {
        this.ylzd4 = ylzd4;
    }

    public String getYlzd5() {
        return ylzd5;
    }

    public void setYlzd5(String ylzd5) {
        this.ylzd5 = ylzd5;
    }

    public String getWgPurpose() {
        return wgPurpose;
    }

    public void setWgPurpose(String wgPurpose) {
        this.wgPurpose = wgPurpose;
    }

    public String getWgCoordinate() {
        return wgCoordinate;
    }

    public void setWgCoordinate(String wgCoordinate) {
        this.wgCoordinate = wgCoordinate;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", wgType=").append(wgType);
        sb.append(", wgCode=").append(wgCode);
        sb.append(", wgName=").append(wgName);
        sb.append(", wgParentId=").append(wgParentId);
        sb.append(", wgArea=").append(wgArea);
        sb.append(", wgCentreCoordinate=").append(wgCentreCoordinate);
        sb.append(", wgPrincipal=").append(wgPrincipal);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", level=").append(level);
        sb.append(", isValid=").append(isValid);
        sb.append(", ylzd1=").append(ylzd1);
        sb.append(", ylzd2=").append(ylzd2);
        sb.append(", ylzd3=").append(ylzd3);
        sb.append(", ylzd4=").append(ylzd4);
        sb.append(", ylzd5=").append(ylzd5);
        sb.append(", wgPurpose=").append(wgPurpose);
        sb.append(", wgCoordinate=").append(wgCoordinate);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridRegion other = (GridRegion) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getWgType() == null ? other.getWgType() == null : this.getWgType().equals(other.getWgType()))
            && (this.getWgCode() == null ? other.getWgCode() == null : this.getWgCode().equals(other.getWgCode()))
            && (this.getWgName() == null ? other.getWgName() == null : this.getWgName().equals(other.getWgName()))
            && (this.getWgParentId() == null ? other.getWgParentId() == null : this.getWgParentId().equals(other.getWgParentId()))
            && (this.getWgArea() == null ? other.getWgArea() == null : this.getWgArea().equals(other.getWgArea()))
            && (this.getWgCentreCoordinate() == null ? other.getWgCentreCoordinate() == null : this.getWgCentreCoordinate().equals(other.getWgCentreCoordinate()))
            && (this.getWgPrincipal() == null ? other.getWgPrincipal() == null : this.getWgPrincipal().equals(other.getWgPrincipal()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getLevel() == null ? other.getLevel() == null : this.getLevel().equals(other.getLevel()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getYlzd1() == null ? other.getYlzd1() == null : this.getYlzd1().equals(other.getYlzd1()))
            && (this.getYlzd2() == null ? other.getYlzd2() == null : this.getYlzd2().equals(other.getYlzd2()))
            && (this.getYlzd3() == null ? other.getYlzd3() == null : this.getYlzd3().equals(other.getYlzd3()))
            && (this.getYlzd4() == null ? other.getYlzd4() == null : this.getYlzd4().equals(other.getYlzd4()))
            && (this.getYlzd5() == null ? other.getYlzd5() == null : this.getYlzd5().equals(other.getYlzd5()))
            && (this.getWgPurpose() == null ? other.getWgPurpose() == null : this.getWgPurpose().equals(other.getWgPurpose()))
            && (this.getWgCoordinate() == null ? other.getWgCoordinate() == null : this.getWgCoordinate().equals(other.getWgCoordinate()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getWgType() == null) ? 0 : getWgType().hashCode());
        result = prime * result + ((getWgCode() == null) ? 0 : getWgCode().hashCode());
        result = prime * result + ((getWgName() == null) ? 0 : getWgName().hashCode());
        result = prime * result + ((getWgParentId() == null) ? 0 : getWgParentId().hashCode());
        result = prime * result + ((getWgArea() == null) ? 0 : getWgArea().hashCode());
        result = prime * result + ((getWgCentreCoordinate() == null) ? 0 : getWgCentreCoordinate().hashCode());
        result = prime * result + ((getWgPrincipal() == null) ? 0 : getWgPrincipal().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getLevel() == null) ? 0 : getLevel().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getYlzd1() == null) ? 0 : getYlzd1().hashCode());
        result = prime * result + ((getYlzd2() == null) ? 0 : getYlzd2().hashCode());
        result = prime * result + ((getYlzd3() == null) ? 0 : getYlzd3().hashCode());
        result = prime * result + ((getYlzd4() == null) ? 0 : getYlzd4().hashCode());
        result = prime * result + ((getYlzd5() == null) ? 0 : getYlzd5().hashCode());
        result = prime * result + ((getWgPurpose() == null) ? 0 : getWgPurpose().hashCode());
        result = prime * result + ((getWgCoordinate() == null) ? 0 : getWgCoordinate().hashCode());
        return result;
    }
}